View Issue Details

IDProjectCategoryView StatusLast Update
0006435Talermerchant backend API (C)public2020-08-07 01:44
ReporterFlorian Dold Assigned Tojonathanbuchanan  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006435: refund_delay parameter of POST /private/orders should go in request body
DescriptionSince the request body of POST /private/orders is an instruction for constructing an order, the refund_delay parameter shall go in the body of the request.

Having it as a request parameter doesn't make much sense for a RESTful API, as

   /private/orders?refund_delay=...

does not really represent a resource that will process the enclosed body of the POST request.
TagsNo tags attached.

Activities

jonathanbuchanan

2020-07-25 22:31

developer   ~0016524

fixed in 469ea4f..d78afeb.

Issue History

Date Modified Username Field Change
2020-07-21 09:28 Florian Dold New Issue
2020-07-21 09:28 Florian Dold Status new => assigned
2020-07-21 09:28 Florian Dold Assigned To => jonathanbuchanan
2020-07-25 22:31 jonathanbuchanan Status assigned => resolved
2020-07-25 22:31 jonathanbuchanan Resolution open => fixed
2020-07-25 22:31 jonathanbuchanan Note Added: 0016524
2020-08-07 01:44 Christian Grothoff Fixed in Version => 0.8